Bug 123944 - (IDE) kernel throws strange irq messages - damaged scsi-cd-drive
(IDE) kernel throws strange irq messages - damaged scsi-cd-drive
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 17:31 EDT by Bernhard Jantscher
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Jantscher 2004-05-21 17:31:34 EDT
Description of problem:
In FC2, i get such a message every minute, when i am in a shell:

May 20 03:12:34 bjantscher kernel: hdc: lost interrupt
May 20 03:12:34 bjantscher kernel: hdc: cdrom_pc_intr: The drive
appears confused (ireason = 0x01)
May 20 03:13:34 bjantscher kernel: ide-cd: cmd 0x1e timed out
May 20 03:13:34 bjantscher kernel: hdc: lost interrupt
May 20 03:13:34 bjantscher kernel: hdc: cdrom_pc_intr: The drive
appears confused (ireason = 0x01)
May 20 03:14:34 bjantscher kernel: ide-cd: cmd 0x1e timed out
May 20 03:14:34 bjantscher kernel: hdc: lost interrupt
May 20 03:14:34 bjantscher kernel: hdc: cdrom_pc_intr: The drive
appears confused (ireason = 0x01)
May 20 03:15:34 bjantscher kernel: ide-cd: cmd 0x1e timed out
May 20 03:15:34 bjantscher kernel: hdc: lost interrupt
May 20 03:15:34 bjantscher kernel: hdc: cdrom_pc_intr: The drive
appears confused (ireason = 0x01)
May 20 03:16:33 bjantscher kernel: ide-cd: cmd 0x1e timed out

this is from "kernel logs" in the log viewer. i also get it when i
want to shutdown my system, to my suprise, in conjunction with pcmcia. 

i have to say, that this happens on my laptop, and it might be
possible, that my cd-drive is "drunk", because sometimes knoppix can't
boot. i have an scsi-cddrive (and fedora interprets it as hdc)

i also had a similar problem in FC1, where my system stuck for 4
seconds, and then i could make a mouse move or something, and then
came another stuck. i got messages of a lost interrupt with an x53 or
x51 error. my "workaround" was to disable the cddrive in the bios...
but no cddrive is not good. 
suse 9 had also problems with the cddrive, but just when linux booted,
there were no failures or lost interrupts while running the system. 

but the cddrive cant be completely damaged, i can read and burn cds,
and i could also install fedora from it. but the package-manager has
problems with it when i have to change  cds...

is it possible that there happens something like in FC1? a
system-standstill for seconds??

Version-Release number of selected component (if applicable):
the linux kernel i'm using is FC2-standard: 2.6.5-1.368

How reproducible:
i don't know. put a damaged cddrive into your pc and see what happens...

Actual results:
strange messages.

Expected results:
i know my cddrive could be damaged. but in that case, i want the
kernel to "ignore" it.

Additional info:
tell me if you need other system logs or something...
Comment 1 Arjan van de Ven 2004-05-22 02:44:04 EDT
does this go away if you disable magicdev/autorun ?
Comment 2 Bernhard Jantscher 2004-05-22 05:36:34 EDT
how do i disable it? shall i remove the rpm-package?

btw: now i think the cd-failure is not in conjunction with pcmcia. the
cd-message is comming continuous every minute. and the pcmcia service
hangs up when shutting down (there comes no "DONE", it stucks). 
and because there came another cd-message after the pcmcia stuff, i
thought they belong together. 
but i had another look at it and the time-difference was about 40
seconds. so pcmcia has "its own" problem, ill disable it for a while.
Comment 3 Bernhard Jantscher 2004-05-24 13:26:07 EDT
hi, its me again!
well, i removed the magicdev-pkg, and everything works fine now. i 
can also mount my cd-drives again (didn't work sometimes).

so i think this is a bug in magicdev, what shall i do now in bugzilla?

greetings, bernhard
Comment 4 Douglas Furlong 2004-06-12 06:52:53 EDT
good morning.

I just wanted to let you know, that I am suffering from the same error
messages, I have treid removing magicdev as the last poster did, but
still am unable to eject the cdrom with out getting the hdc:
cdrom_pc_intr: The drive appears confused (ireason = 0x01) error
messages and the application locking.

I am able to read from the CD with out any problems, it's just
ejecting it that causes the problems at the moment (eject cdrom).

Please let me know what information i can provide to help trouble
shoot this problem.

Doug

(Running \FC2 Linux version 2.6.6-1.427)
Comment 5 Dave Jones 2004-11-18 22:52:30 EST
still causing problems in the latest errata kernels ?
  
Comment 6 Douglas Furlong 2004-11-22 08:56:26 EST
I have just tried the latest kernel and I am still having problems
with the CD-Drive.

The problem always seems to occur when I hit the eject button (or an
application tried to eject).

If I boot the system up with a CD in the drive, I am able to do things
like rip the CD, or copy files off of it.

However as soon as the drive is ejected the system seems to hang. I
just did it now, but I was unable to get any output from dmesg, as
after about 30 seconds the system "appears" to hang.

I can move the mouse, however the keyboard is compleately un-responsive.

Is there any thing I can do to provide you with more information?

lspci, etc.
Comment 7 Douglas Furlong 2005-01-03 18:25:28 EST
Good day Dave.

I am still suffering from this problem in FC3, kerenel versoin
kernel-2.6.9-1.678_FC3

Is there any thing I can do to try and help solve this problem?
Comment 8 Douglas Furlong 2005-02-24 03:08:21 EST
Some additional information.

After exchanging some emails with Alen Cox, I went through some trouble shooting
to try and narrow down what the problem is/was.

This included stopping a particular service (the one that monitors for new
media), and trying various different CD's.

stopping the service semed to help, but did not solve the problem.

I noticed recently, that when I boot my system without noprobe=hdc (the only way
I can have a stable system), I get random freeze's during boot.

I just recently booted the system, without that string, and (with a bit of
pacience) noticed that the hang is occuring just after the CD-ROM driver is
loaded, and given enough time, I will have a screen filled with

May 20 03:12:34 bjantscher kernel: hdc: lost interrupt
May 20 03:12:34 bjantscher kernel: hdc: cdrom_pc_intr: The drive
appears confused (ireason = 0x01)

So I don't think it is related to services running.

Is this of any help?

I'm currently running a fresh install of FC3 (hard drive failure) with the
latest kernel.

Doug
Comment 9 Bernhard Jantscher 2005-02-24 06:09:15 EST
Hello again!

I've also tried the latest kernel (2.6.10-something...) with the same results.
But my system runs stable (of course without dvd/cdrw) when i give linux the 

hdc=none

parameter, i don't know exactly what the difference between noprobe and none is,
but it seems to be a helpful, temporary solution ;)

Bernhard Jantscher
Comment 10 Dave Jones 2005-04-16 00:07:19 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 11 Douglas Furlong 2005-04-16 08:36:27 EDT
I'm not sure if I am able to "reopen" this, but I am still having this problem
in FC3. When FC4 becomes slightly more stable I will try it on that.

Doug
Comment 12 Douglas Furlong 2005-07-11 17:09:32 EDT
I am now running a clean install on FC4, and am still having exactly the same
issues.

It would appear that if I start with a CD in the drive then it will work for a
while, any action along the lines of ejecting the cd, expidites it's failure.

Please let me know what information I can provide to help get this resolved.
Comment 13 Dave Jones 2005-07-15 13:37:12 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 14 Dave Jones 2005-10-02 20:08:56 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.